import { ApolloLink, RequestHandler, Operation } from 'apollo-link';
export interface UriFunction {
    (operation: Operation): string;
}
export interface FetchOptions {
    uri?: string | UriFunction;
    fetch?: GlobalFetch['fetch'];
    includeExtensions?: boolean;
    credentials?: string;
    headers?: any;
    fetchOptions?: any;
}
export declare const createHttpLink: ({uri, fetch: fetcher, includeExtensions, ...requestOptions}?: FetchOptions) => ApolloLink;
export declare class HttpLink extends ApolloLink {
    requester: RequestHandler;
    constructor(opts?: FetchOptions);
}
